package kr.co.zumo.app.lifeplus.view.fragment.signup;

import android.os.Bundle;
import android.support.annotation.NonNull;
import android.support.annotation.Nullable;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.TextView;

import kr.co.zumo.app.R;
import kr.co.zumo.app.lifeplus.model.SignUpModel;
import kr.co.zumo.app.lifeplus.view.Event;
import kr.co.zumo.app.lifeplus.view.ISignUpView;
import kr.co.zumo.app.lifeplus.view.fragment.FragmentBase;
import kr.co.zumo.app.lifeplus.view.presenter.signup.SignUpUnder14YearsPresenter;

/**
 * SignUpUnder14YearsFragment
 * <pre>
 * </pre>
 *
 * @author 하세미
 * @version 1.0
 * @history 하세미   [2018-09-21]   [최초 작성]
 * @since 2018-09-21
 */
public class SignUpUnder14YearsFragment extends FragmentBase<SignUpUnder14YearsPresenter> implements ISignUpView {

  @Override
  public void onCreate(@Nullable Bundle savedInstanceState) {
    super.onCreate(savedInstanceState);
  }

  @Nullable
  @Override
  public View onCreateView(@NonNull LayoutInflater inflater, @Nullable ViewGroup container, @Nullable Bundle savedInstanceState) {
    return inflater.inflate(R.layout.fragment_sign_up_start1, container, false);
  }

  @Override
  protected void onAfterActivityCreated(Bundle savedInstanceState) {

    View parent = getView();

    TextView title = parent.findViewById(R.id.text_title);
    TextView description = parent.findViewById(R.id.text_description);

    title.setText(R.string.phone_identify_age_limit_validation_message);
    description.setText(R.string.sign_up_30days_description);

    Button button = getView().findViewById(R.id.button_confirm);
    button.setText(R.string.confirm);
    button.setOnClickListener(view -> presenter.onEvent(new Event.Builder(Event.SUCCESS).build()));
  }

  @Override
  protected SignUpUnder14YearsPresenter definePresenter() {
    return new SignUpUnder14YearsPresenter(getModel(SignUpModel.class), this);
  }

}
